package com.rjconsultores.ventaboletos.enums;

public enum SituacaoBoleto {

	TODAS(-1, "Todas"), ANULADO(31, "Anulado"), DEVOLVIDO(32, "Devolvido"), REMARCADO(23, "Remarcado"), TROCADO(10, "Trocado"), VENDIDO(1, "Vendido");

	private String situacao;
	private Integer codigo;

	private SituacaoBoleto(Integer codigo, String situacao) {
		this.situacao = situacao;
		this.codigo = codigo;
	}

	public String getSituacao() {
		return this.situacao;
	}

	public Integer getCodigo() {
		return codigo;
	}

	@Override
	public String toString() {
		return this.situacao;
	}

}
